ChainedConverterConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class ChainedConverterConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.ChainedConverterConfiguration

All Implemented Interfaces:
  ConverterConfiguration

    @java.lang.SuppressWarnings("rawtypes")
    public class ChainedConverterConfiguration
    extends java.lang.Object

An immutable ConverterConfiguration which chains the lookup calls for ObjectMarshallers for performance reasons.

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Since:
  1.1

Nested Class Summary
`class` | `ChainedConverterConfiguration.ChainedObjectMarshaller`

Constructor Summary
`ChainedConverterConfiguration(ConverterConfiguration cfg)`
`ChainedConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)`

Method Summary
`CircularReferenceBehaviour` | `getCircularReferenceBehaviour()`
`java.lang.String` | `getEncoding()`
`ObjectMarshaller` | `getMarshaller(java.lang.Object o)`
`java.util.List` | `getOrderedObjectMarshallers()`
`ProxyHandler` | `getProxyHandler()`
`boolean` | `isCacheObjectMarshallerByClass()`
`boolean` | `isPrettyPrint()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ChainedConverterConfiguration

    public ChainedConverterConfiguration(ConverterConfiguration cfg)

### ChainedConverterConfiguration

    public ChainedConverterConfiguration(ConverterConfiguration cfg, ProxyHandler proxyHandler)

Method Detail

### getCircularReferenceBehaviour

    public CircularReferenceBehaviour getCircularReferenceBehaviour()

### getEncoding

    public java.lang.String getEncoding()

### getMarshaller

    public ObjectMarshaller getMarshaller(java.lang.Object o)

### getOrderedObjectMarshallers

    public java.util.List getOrderedObjectMarshallers()

### getProxyHandler

    public ProxyHandler getProxyHandler()

### isCacheObjectMarshallerByClass

    public boolean isCacheObjectMarshallerByClass()

### isPrettyPrint

    public boolean isPrettyPrint()

Groovy Documentation